### Method

# Shumate Map insert_layer_above

#### Declaration [src]

    void
    shumate_map_insert_layer_above (
      ShumateMap* self,
      ShumateLayer* layer,
      ShumateLayer* next_sibling
    )

#### Description [src]

Adds `layer` to `self` above `next_sibling` or, if `next_sibling` is `NULL`, at the bottom of the layer list.

#### Parameters

`layer`

  Type: `ShumateLayer`

  A `ShumateLayer`.

  The data is owned by the caller of the method.

`next_sibling`

  Type: `ShumateLayer`

  A `ShumateLayer` that is a child of `self`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.